# CCD Locations

## Get

> Retrieves FSLogix Office Container CCDLocation List of a session server with the specified ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/OfficeContainer/CCDLocations":{"get":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Office Container"],"summary":"Get","description":"Retrieves FSLogix Office Container CCDLocation List of a session server with the specified ID.","operationId":"ffd2e20b-a534-41dd-90ea-4b456d029a09","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to retrieve the FSLogix Office Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"type":"string"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add a folder to the CCDLocation List of the FSLogix Office Container settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/OfficeContainer/CCDLocations":{"post":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Office Container"],"summary":"Add","description":"Add a folder to the CCDLocation List of the FSLogix Office Container settings.","operationId":"04552d5e-0550-4027-b08a-263c34602c48","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the FSLogix Office Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"CCDLocation configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddFSLogixCCDLocation"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddFSLogixCCDLocation":{"required":["ccdLocation"],"type":"object","properties":{"ccdLocation":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'CCDLocation' path to add to the CCDLocation List.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a new CCDLocation to the FSLogix CCDLocation list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Remove

> Remove a folder from the CCDLocation List of the FSLogix Office Container settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/OfficeContainer/CCDLocations":{"delete":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Office Container"],"summary":"Remove","description":"Remove a folder from the CCDLocation List of the FSLogix Office Container settings.","operationId":"33bba21f-f694-4d9c-82fa-eefecb541985","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the FSLogix Office Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"CCDLocation configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveFSLogixCCDLocation"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveFSLogixCCDLocation":{"required":["ccdLocation"],"type":"object","properties":{"ccdLocation":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'CCDLocation' path to remove from the CCDLocation List.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove a CCDLocation from the FSLogix CCDLocation list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
